Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TextFormField Class Reference

Generator for text input fields. More...

Inheritance diagram for TextFormField:

[legend]
Collaboration diagram for TextFormField:

[legend]
List of all members.

## Setup/Initialization
| TextFormField ($Name, $IsRequired, $Label, $Length, $MaxLength, $ValidFunc=NULL, $ValidMsgs=NULL)
| Object Constructor.
## Accessors
| Length ($NewVal=NULL)
| Get or set the display length for this field.
| MaxLength ($NewVal=NULL)
| Get or set the maximum input length for this field.
## Display
| PrintInput ($DisplayErrorIndicator=FALSE)
| Generate HTML for this object.

## Detailed Description

Generator for text input fields.

Definition at line 8 of file TextFormField.php.

## Member Function Documentation

TextFormField::Length | ( | $ | NewVal = `NULL` | ) |

Get or set the display length for this field.

Parameters:

  | NewVal | (OPTIONAL)

Returns:
  The current length

Definition at line 46 of file TextFormField.php.

TextFormField::MaxLength | ( | $ | NewVal = `NULL` | ) |

Get or set the maximum input length for this field.

Parameters:

  | NewVal | (OPTIONAL)

Returns:
  The current max input length

Definition at line 53 of file TextFormField.php.

TextFormField::PrintInput | ( | $ | DisplayErrorIndicator = `FALSE` | ) |

Generate HTML for this object.

Parameters:

  | DisplayErrorIndicator | (OPTIONAL)

Definition at line 64 of file TextFormField.php.

TextFormField::TextFormField | ( | $ | Name,
|  | $ | IsRequired,
|  | $ | Label,
|  | $ | Length,
|  | $ | MaxLength,
|  | $ | ValidFunc = `NULL`,
|  | $ | ValidMsgs = `NULL` |
| ) |  |  |

Object Constructor.

Parameters:

  | Name | internal name for this field, used in html id=
  | IsRequired |
  | Label | display name for this field, shown to user
  | Length | Length of the display box
  | MaxLength | The maximum allowed entry size
  | ValidFunc | A function to check this field for valid input (OPTIONAL)
  | ValidMsgs | An array of error messages which should correspond to the error codes issued by ValidFunc (OPTIONAL)

Definition at line 26 of file TextFormField.php.

References FormField::FormField().

Referenced by PasswordFormField::PasswordFormField().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- TextFormField.php